import { defineStore } from "pinia";
import axios from "axios";
export const useFrontendAddressStore = defineStore("frontendAddress", {
    state: () => ({
        lists: [],
    }),
    actions: {
        fetchLists: function () {
            return new Promise((resolve, reject) => {
                axios.get("frontend/address").then((res) => {
                    this.lists = res.data.data;
                    resolve(res);
                }).catch((err) => {
                    reject(err);
                });
            });
        }
    },
});
